<!DOCTYPE html>
<html <?php language_attributes(); ?>>              
    <head>
        <meta charset="<?php bloginfo('charset'); ?>" />                   
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title><?php bloginfo('name'); ?> | <?php is_home() ? bloginfo('description') : wp_title( '|', true, 'right' ); ?></title>
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />                       
        <?php wp_head(); ?>
    </head>    
    <body <?php body_class(); ?>>  
        <header id="kopa-header">
            <div class="header-top">
                <div class="wrapper clearfix">
                    <?php
                    #TOP MENU
                    if (has_nav_menu('top-nav')) {
                        wp_nav_menu(
                                array(
                                    'theme_location' => 'top-nav',
                                    'container' => 'nav',
                                    'container_id' => 'top-nav',
                                    'container_class' => 'top-nav pull-left',
                                    'menu_id' => 'top-menu',
                                    'menu_class' => 'top-menu clearfix'
                                )
                        );

                        echo '<nav class="top-nav-mobile clearfix">';
                        echo '<a class="pull" href="#">' . __('Menu', kopa_get_domain()) . '<span class="fa fa-caret-down"></span></a>';
                        wp_nav_menu(
                                array(
                                    'theme_location' => 'top-nav',
                                    'container' => false,
                                    'menu_id' => 'top-menu-mobile',
                                    'menu_class' => 'top-menu-mobile'
                                )
                        );
                        echo '</nav>';
                    }
                    ?>           

                    <?php if (true == KopaOptions::get_option('is_display_search_form', true, 'Boolean')): ?>
                        <div class="search-box pull-right">
                            <?php get_search_form(); ?>
                        </div>
                    <?php endif; ?>

                </div><!--/end .search-box-->
            </div><!--/end .header-top-->

            <?php
            $logo = KopaOptions::get_option('logo');
            $logo_small = KopaOptions::get_option('logo_small');
            
            $top_banner_image = KopaOptions::get_option('top_banner_image');
            $top_banner_code = KopaOptions::get_option('top_banner_code');
            if (!empty($logo) || !empty($logo_small) || $top_banner_image || $top_banner_code):
                ?>
                <div class="header-middle">
                    <div class="wrapper clearfix">
                        <?php if (!empty($logo)): ?>
                            <div class="kopa-logo pull-left">
                                <a href="<?php echo home_url(); ?>"><img src="<?php echo do_shortcode($logo); ?>" alt="<?php bloginfo('name'); ?>"/></a>
                            </div>
                        <?php endif; ?>
                        
                        <?php if (!empty($logo_small)): ?>
                            <div class="kopa-logo-small pull-left">
                                <a href="<?php echo home_url(); ?>"><img src="<?php echo do_shortcode($logo_small); ?>" alt="<?php bloginfo('name'); ?>"/></a>
                            </div>
                        <?php endif; ?>

                        <?php if ($top_banner_image || $top_banner_code): ?>
                            <div class="kopa-top-banner pull-right">
                                <?php if ($top_banner_code): ?>
                                    <?php echo htmlspecialchars_decode(stripslashes($top_banner_code)); ?>
                                <?php elseif ($top_banner_image): ?>
                                    <?php $top_banner_target = ('true' == KopaOptions::get_option('is_open_top_banner_on_new_tab', 'true')) ? 'target=_blank' : ''; ?>
                                    <a <?php echo $top_banner_target; ?> href="<?php echo KopaOptions::get_option('top_banner_url'); ?>"><img src="<?php echo do_shortcode($top_banner_image); ?>" alt=""/></a>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        
                        <?php
                    #MAIN MENU
                    if (has_nav_menu('main-nav')) {                        
                        echo '<nav class="main-nav-mobile clearfix">';
                        echo '<a class="pull"><span class="fa fa-bars"></span></a>';

                        wp_nav_menu(
                                array(
                                    'theme_location' => 'main-nav',
                                    'container' => false,
                                    'menu_id' => 'main-menu-mobile',
                                    'menu_class' => 'main-menu-mobile'
                                )
                        );
                        echo '</nav>';
                    }
                    ?>      
                    </div><!--/end .header-middle-->
                </div>
            <?php endif; ?>

            <div class="header-bottom">
                <div class="wrapper clearfix">

                    <?php
                    #MAIN MENU
                    if (has_nav_menu('main-nav')) {
                        wp_nav_menu(
                                array(
                                    'theme_location' => 'main-nav',
                                    'container' => 'nav',
                                    'container_id' => 'main-nav',
                                    'container_class' => 'kopa-main-nav kopa-relative clearfix',
                                    'menu_id' => 'main-menu',
                                    'menu_class' => 'main-menu sf-menu clearfix',
                                    'walker' => new  Kopa_MegaMenu_Walker_Nav_Menu()
                                )
                        );

                    }
                    ?>                     
                </div>
            </div><!--/end .header-bottom-->
        </header>
        <!--/end HEADER-->
        <div class="wrapper clearfix">           