<?php
get_header();
global $kopaCurrentSidebars;
?>
<div id="kopa-main-content">
    <section class="widget-area-1 clearfix">
        <?php kopa_get_headline(); ?>
    </section>
    <!--/end widget-area-1-->

    <div class="clear"></div>
    <div class="main-wrapper clearfix">

        <?php KopaLayout::get_breadcrumb(); ?>               

        <div class="kopa-main-col">
            <div class="kopa-entry-list">                
                <ul class="clearfix">
                    <?php
                    if (have_posts()):
                        global $post;

                        $exceprt_type = KopaOptions::get_option('exceprt_type', 'limit');
                        $excerpt_limit = KopaOptions::get_option('excerpt_limit', 200, 'Int');

                        $metadata = array();
                        $metadata['date'] = KopaOptions::get_option('is_display_created_date', true, 'Boolean');
                        $metadata['comments'] = KopaOptions::get_option('is_display_comments', true, 'Boolean');                        
                        $metadata['category'] = KopaOptions::get_option('is_display_category', true, 'Boolean');                                                                        
                        $metadata['formatted'] = apply_filters('kopa_blog_is_display_blog_post_format', KopaOptions::get_option('is_display_blog_post_format', true, 'Boolean'));


                        $loop_index = 0;
                        while (have_posts()) : the_post();
                            $post_id = get_the_ID();
                            $post_url = get_permalink();
                            $post_title = get_the_title();
                            $post_format = get_post_format();
                            $post_classes = array();
                            ?>
                            <li <?php post_class(); ?>>
                                <div class="item">
                                    <article class="entry-item clearfix">

                                        <?php
                                        if ('full' != $exceprt_type && !is_search()) {
                                            if ($metadata['formatted']) {
                                                $shortcode = NULL;

                                                switch ($post_format) {
                                                    case 'video':
                                                        $shortcode = KopaUtil::get_shortcode($post->post_content, false, array('vimeo', 'youtube', 'video'));
                                                        break;
                                                    case 'audio':
                                                        $shortcode = KopaUtil::get_shortcode($post->post_content, false, array('audio', 'soundcloud'));
                                                        break;
                                                    case 'gallery':
                                                        $shortcode = KopaUtil::get_shortcode($post->post_content, false, array('gallery'));
                                                        break;
                                                }

                                                if (!empty($shortcode)) {
                                                    ?>
                                                    <div class="entry-thumb">
                                                        <?php echo do_shortcode($shortcode[0]['shortcode']); ?>
                                                    </div>
                                                    <?php
                                                } else {
                                                    if (has_post_thumbnail()):
                                                        $image = KopaImage::get_post_image_src($post_id, 'size_14');
                                                        ?>
                                                        <?php if ( !empty($image) ) : ?>
                                                            <div class="entry-thumb">
                                                                <a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $post_title; ?>"></a>
                                                            </div>
                                                        <?php endif; ?>
                                                        <?php
                                                    endif;
                                                }
                                            } else {
                                                if (has_post_thumbnail()):
                                                    $image = KopaImage::get_post_image_src($post_id, 'size_14');
                                                    ?>
                                                    <?php if ( !empty($image) ) : ?>
                                                        <div class="entry-thumb">
                                                            <a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $post_title; ?>"></a>
                                                        </div>
                                                    <?php endif; ?>
                                                    <?php
                                                endif;
                                            }
                                        }
                                        ?>



                                        <div class="entry-content">
                                            <header>
                                                <h4 class="entry-title"><a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><?php echo $post_title; ?></a></h4>

                                                <div class="entry-meta clearfix">
                                                    <?php                                                    
                                                    foreach ($metadata as $key => $val) {
                                                        if ($val) {                                                            
                                                            switch ($key) {
                                                                case 'date':
                                                                    printf('<p class="entry-date">%s<span>%s</span></p>', __('Posted:',  kopa_get_domain()),get_the_date());
                                                                    break;
                                                                case 'comments':
                                                                    ?>
                                                                    <p class="entry-comment"><?php comments_popup_link(__('No Comment', kopa_get_domain()), __('1 Comment', kopa_get_domain()), __('% Comments', kopa_get_domain()), '', __('0 Comment', kopa_get_domain())); ?></p>
                                                                    <?php
                                                                    break;                                                         
                                                                case 'category':
                                                                    KopaUtil::get_the_terms($post_id, 'category', '<p class="entry-categories">'.__('in:', kopa_get_domain()).'&nbsp;', '</p>', ', ');
                                                                    break;
                                                            }
                                                        }
                                                    }
                                                    ?>                                                                                                                                                           
                                                </div>

                                            </header>

                                            <?php
                                            if ('excerpt' == $exceprt_type) {
                                                if (has_excerpt()) {
                                                    printf('<p>%s</p>', get_the_excerpt());
                                                } else {
                                                    global $post;
                                                    if (strpos($post->post_content, '<!--more-->')) {
                                                        the_content(' ');
                                                    } else {
                                                        printf('<p>%s</p>', get_the_excerpt());
                                                    }
                                                }
                                            } elseif ('full' == $exceprt_type) {
                                                global $more;
                                                $more = true;
                                                the_content();
                                            } else {
                                                if ($excerpt_limit) {
                                                    $excerpt = KopaUtil::substr($post->post_content, $excerpt_limit);
                                                    echo ($excerpt) ? sprintf('<p>%s</p>', $excerpt) : '';
                                                }
                                            }
                                            ?>

                                        </div>
                                    </article>
                                </div>
                            </li>   
                            <?php
                        endwhile;
                    else:
                        printf('<blockquote>%1$s</blockquote>', __('Nothing Found...', kopa_get_domain()));
                    endif;
                    ?>
                </ul>

                <?php get_template_part('pagination'); ?>                
            </div>
        </div>

        <?php
        #WIDGET AREA {5}
        if (is_active_sidebar($kopaCurrentSidebars[0])):
            echo '<aside class="sidebar widget-area-5">';
            dynamic_sidebar($kopaCurrentSidebars[0]);
            echo '</aside>';
        endif;
        ?> 
        <!--/end widget-area-5-->
    </div>
    <div class="clear"></div>
</div>
<!--/end KOPA-MAIN-CONTENT-->

<div class="bottom-sidebar clearfix">
    <div class="main-wrapper clearfix">
        <div class="bottom-sidebar-wrapper clearfix">
            <?php
            #WIDGET AREA {7}
            if (is_active_sidebar($kopaCurrentSidebars[1])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-7">';
                dynamic_sidebar($kopaCurrentSidebars[1]);
                echo '</section>';
            endif;
            ?> 

            <?php
            #WIDGET AREA {8}
            if (is_active_sidebar($kopaCurrentSidebars[2])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-8">';
                dynamic_sidebar($kopaCurrentSidebars[2]);
                echo '</section>';
            endif;
            ?>  

            <?php
            #WIDGET AREA {8}
            if (is_active_sidebar($kopaCurrentSidebars[3])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-9">';
                dynamic_sidebar($kopaCurrentSidebars[3]);
                echo '</section>';
            endif;
            ?>             

            <?php
            #WIDGET AREA {9}
            if (is_active_sidebar($kopaCurrentSidebars[4])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-10">';
                dynamic_sidebar($kopaCurrentSidebars[4]);
                echo '</section>';
            endif;
            ?>
        </div>
    </div>
</div>
<!--/end BOTTOM-SIDERBAR-->
<?php
get_footer();
