<?php

get_header();
global $kopaCurrentSidebars;

#Get config information
$mail = KopaOptions::get_option('contact_email');
$phone = KopaOptions::get_option('contact_phone');
$working_time = KopaOptions::get_option('contact_working_time');
$address = KopaOptions::get_option('contact_address');

$google_map = KopaOptions::get_option('contact_map');
$info_caption = KopaOptions::get_option('contact_info_caption');
$info_description = KopaOptions::get_option('contact_info_description');
$form_caption = KopaOptions::get_option('contact_form_caption');
$form_description = KopaOptions::get_option('contact_form_description');

?>

<div id="kopa-main-content">
    <section class="widget-area-1 clearfix">
        <?php kopa_get_headline(); ?>
    </section>

    <div class="clear"></div>

    <div class="main-wrapper clearfix">
        <?php KopaLayout::get_breadcrumb(); ?>

        <?php
        if ($google_map):
            $maps_arr = explode(',', $google_map);
            if (2 == count($maps_arr)):
                ?>
                <div id="kopa-map" class="kopa-map" data-latitude='<?php echo $maps_arr[0]; ?>' data-longitude='<?php echo $maps_arr[1]; ?>'></div>
                <?php
            endif;
        endif;
        ?>

        <!--kp-map-->  
        <div id="contact-box">
            <?php if ($info_caption): ?>
                <h4 class="contact-title"><?php echo $form_caption; ?></h4>
            <?php endif; ?>

            <?php if ($info_description): ?>
                <div class="contact-description"><?php echo $info_description; ?></div>    
            <?php endif; ?>

            <form id="contact-form" class="contact-form clearfix" action="<?php echo admin_url('admin-ajax.php'); ?>" method="post" novalidate="novalidate">

                <div class="contact-top clearfix">

                    <p class="input-block col-md-4 col-sm-4 col-xs-4">
                        <label for="contact_name" class="required"><?php _e('Your name', kopa_get_domain()); ?> <span>*</span></label>
                        <input type="text" value="" id="contact_name" name="contact_name" class="valid">
                    </p>

                    <p class="input-block col-md-4 col-sm-4 col-xs-4">
                        <label for="contact_email" class="required"><?php _e('Email', kopa_get_domain()); ?> <span>*</span></label>
                        <input type="text" value="" id="contact_email" name="contact_email" class="valid">
                    </p>

                    <p class="input-block col-md-4 col-sm-4 col-xs-4">                                                
                        <label for="contact_url" class="required"><?php _e('Website', kopa_get_domain()); ?></label>
                        <input type="text" name="contact_url" class="valid" value="" id="contact_url">                                                
                    </p>

                </div>

                <!-- contact-left -->
                <div class="contact-bottom">
                    <p class="textarea-block">                        
                        <label for="contact_message" class="required"><?php _e('Message', kopa_get_domain()); ?> <span>*</span></label>
                        <textarea name="contact_message" id="contact_message" cols="88" rows="6" style="overflow: auto; resize: vertical;"></textarea>
                    </p>
                </div>

                <!-- contact-right -->
                <div class="clear"></div>
                <p class="contact-button clearfix">    
                    <?php
                    wp_nonce_field('kopa_send_contact', 'ajax_nonce', true);
                    ?>
                    <input type="hidden" name="action" value="kopa_send_contact">
                    <span><input type="submit" value="<?php _e('Send message', kopa_get_domain()); ?>" id="submit-contact"></span>
                </p>
            </form>


            <div id="contact_response"></div>

        </div>

        <!--contact-box-->
        <div id="contact-info">
            <h2 class="contact-title"><?php echo $info_caption; ?></h2>
            <address>
                <?php if ($address): ?>
                    <p class="clearfix"><i class="fa fa-map-marker"></i><span class="media-body"><?php echo $address; ?></span></p>
                <?php endif; ?>

                <?php if ($phone): ?>
                    <p class="clearfix"><i class="fa fa-phone"></i><span class="media-body"><?php echo $phone; ?></span></p>
                <?php endif; ?>

                <?php if ($mail): ?>
                    <p class="clearfix"><i class="fa fa-envelope"></i><a  class="media-body" href="mailto:<?php echo $mail; ?>"><?php echo $mail; ?></a></p>
                <?php endif; ?>

                <?php if ($working_time): ?>
                    <p class="clearfix"><i class="fa fa-clock-o"></i><span class="media-body"><?php echo $working_time; ?></span></p>
                <?php endif; ?>
            </address>
        </div>
    </div>

</div>

<div class="bottom-sidebar clearfix">
    <div class="main-wrapper clearfix">
        <div class="bottom-sidebar-wrapper clearfix">
            <?php
            #WIDGET AREA {7}
            if (is_active_sidebar($kopaCurrentSidebars[0])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-7">';
                dynamic_sidebar($kopaCurrentSidebars[0]);
                echo '</section>';
            endif;
            ?> 

            <?php
            #WIDGET AREA {8}
            if (is_active_sidebar($kopaCurrentSidebars[1])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-8">';
                dynamic_sidebar($kopaCurrentSidebars[1]);
                echo '</section>';
            endif;
            ?>  

            <?php
            #WIDGET AREA {8}
            if (is_active_sidebar($kopaCurrentSidebars[2])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-9">';
                dynamic_sidebar($kopaCurrentSidebars[2]);
                echo '</section>';
            endif;
            ?>             

            <?php
            #WIDGET AREA {9}
            if (is_active_sidebar($kopaCurrentSidebars[3])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-10">';
                dynamic_sidebar($kopaCurrentSidebars[3]);
                echo '</section>';
            endif;
            ?>
        </div>
    </div>
</div>
<!--/end BOTTOM-SIDERBAR-->

<?php
get_footer();
