<?php
get_header();
global $kopaCurrentSidebars;
?>

<div id="kopa-main-content">
    <section class="widget-area-1 clearfix">
        <?php kopa_get_headline(); ?>
    </section>
    <!--/end widget-area-1-->

    <div class="clear"></div>

    <div class="main-wrapper clearfix">
        <?php KopaLayout::get_breadcrumb(); ?>               

        <div class="kopa-main-col">
            <div class="kopa-entry-post">

                <?php
                if (have_posts()):
                    $metadata = array();

                    $metadata['cats'] = KopaOptions::get_option('is_display_post_category', true, 'Boolean');
                    $metadata['date'] = KopaOptions::get_option('is_display_post_datetime', true, 'Boolean');
                    $metadata['comments'] = KopaOptions::get_option('is_display_post_comments', true, 'Boolean');
                    $metadata['views'] = KopaOptions::get_option('is_display_post_views', true, 'Boolean');
                    $metadata['likes'] = KopaOptions::get_option('is_display_post_likes', true, 'Boolean');
                    $metadata['shares'] = KopaOptions::get_option('is_display_post_shares', true, 'Boolean');
                    $metadata['tags'] = KopaOptions::get_option('is_display_post_tag', true, 'Boolean');
                    $metadata['thumb'] = KopaOptions::get_option('is_display_post_thumbnail_standard', true, 'Boolean');
                    $metadata['thumb_other'] = KopaOptions::get_option('is_display_post_thumbnail_other', true, 'Boolean');

                    while (have_posts()) : the_post();
                        $post_id = get_the_ID();
                        $post_url = get_permalink();
                        $post_title = get_the_title();
                        $post_format = get_post_format();
                        ?>                              
                        <div <?php post_class('kopa-entry-post'); ?>>

                            <header class="clearfix">

                                <h4 class="entry-title"><?php echo $post_title; ?></h4>

                                <div class="entry-meta clearfix">
                                    <?php if ($metadata['date']): ?>
                                        <p class="entry-date"><?php _e('Posted:', kopa_get_domain()); ?><span><?php echo get_the_date(); ?></span></p>
                                    <?php endif; ?>

                                    <?php if ($metadata['cats']): ?>
                                        <p class="entry-categories"><?php _e('in:', kopa_get_domain()); ?>&nbsp;<?php the_category(', '); ?></p>
                                    <?php endif; ?>

                                    <?php if ($metadata['comments']): ?>
                                        <p class="entry-comment"><?php comments_popup_link(__('No Comment', kopa_get_domain()), __('1 Comment', kopa_get_domain()), __('% Comments', kopa_get_domain()), '', __('0 Comment', kopa_get_domain())); ?></p>
                                    <?php endif; ?>
                                </div>

                                <?php if ($metadata['shares']): ?>
                                    <?php KopaSEO::get_share_buttons(); ?>                                                                                    
                                <?php endif; ?>
                            </header>

                            <div class="entry-content">

                                <?php
                                if (has_post_thumbnail()) {
                                    $exp1 = empty($post_format) && $metadata['thumb'];
                                    $exp2 = $post_format && $metadata['thumb_other'];

                                    if ($exp1 || $exp2) {
                                        $image_croped = KopaImage::get_post_image_src($post_id, 'size_14');
                                        ?>
                                        <div class="entry-thumb">
                                            <img src="<?php echo $image_croped; ?>" class="img-responsive" alt="<?php echo $post_title; ?>"/>                        
                                        </div>
                                        <?php
                                    }
                                }
                                ?>


                                <div class="entry-content">
                                    <?php the_content(); ?>
                                </div>

                                <?php
                                wp_link_pages(array(
                                    'before' => '<div class="page-link clearfix"><div class="pull-right"><span class="page-links-title">' . __('Parts', kopa_get_domain()) . '</span>',
                                    'after' => '</div></div>',
                                    'next_or_number' => 'number',
                                    'pagelink' => '<span>%</span>',
                                    'echo' => 1
                                ));
                                ?>

                            </div>

                            <?php if ($metadata['shares'] || ($metadata['tags'] && has_tag())): ?>
                                <div class="single-post-bottom">
                                    <?php if ($metadata['shares']): ?>
                                        <?php KopaSEO::get_share_buttons(); ?>                                                                                    
                                    <?php endif; ?>

                                    <?php if ($metadata['tags'] && has_tag()): ?>
                                        <div class="kopa-tag-box">
                                            <ul class="clearfix">
                                                <?php echo KopaUtil::get_the_terms($post_id, 'post_tag', '', '', '', true, 'entry-tag', true, '<li>', '</li>'); ?>
                                            </ul>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>


                            <?php
                            $prev_and_next = KopaLayout::get_pre_next_post();
                            if ($prev_and_next):
                                ?>
                                <div class="kopa-related-post clearfix">

                                    <?php if (isset($prev_and_next['prev'])): ?>
                                        <div class="prev-post">
                                            <div class="entry-item clearfix">
                                                <h4 class="entry-title"><a href="<?php echo $prev_and_next['prev']['url']; ?>" title="<?php echo $prev_and_next['prev']['title']; ?>"><?php echo $prev_and_next['prev']['title']; ?></a></h4>
                                                <p class="entry-date"><?php _e('Posted:', kopa_get_domain()); ?><span><?php echo $prev_and_next['prev']['date']; ?></span></p>
                                            </div>
                                            <a href="<?php echo $prev_and_next['prev']['url']; ?>" title="<?php echo $prev_and_next['prev']['title']; ?>" class="btn-prev fa fa-angle-left"></a>
                                        </div>
                                    <?php endif; ?>

                                    <?php if (isset($prev_and_next['next']) && isset($prev_and_next['prev'])): ?>
                                        <div class="next-post">
                                            <div class="entry-item clearfix">
                                                <h4 class="entry-title"><a href="<?php echo $prev_and_next['next']['url']; ?>" title="<?php echo $prev_and_next['next']['title']; ?>"><?php echo $prev_and_next['next']['title']; ?></a></h4>
                                                <p class="entry-date"><?php _e('Posted:', kopa_get_domain()); ?><span><?php echo $prev_and_next['next']['date']; ?></span></p>
                                            </div>
                                            <a href="<?php echo $prev_and_next['next']['url']; ?>" title="<?php echo $prev_and_next['next']['title']; ?>" class="btn-next fa fa-angle-right"></a>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endif;  ?>


                            <?php kopa_get_related_posts(); ?>                
                            <!--/kopa-recent-post-->

                            <?php kopa_get_about_author(); ?>
                            <!--/kopa-about-author-->

                        </div>
                        <?php
                    endwhile;
                else:
                    printf('<blockquote>%1$s</blockquote>', __('Nothing Found...', kopa_get_domain()));
                endif;
                ?>

                <?php comments_template(); ?>
            </div>
            <!--/kopa-main-col-->
        </div>
        <?php
        #WIDGET AREA {5}
        if (is_active_sidebar($kopaCurrentSidebars[0])):
            echo '<aside class="sidebar widget-area-5">';
            dynamic_sidebar($kopaCurrentSidebars[0]);
            echo '</aside>';
        endif;
        ?> 
        <!--/end widget-area-5-->
    </div>
</div>
<!--/end KOPA-MAIN-CONTENT-->

<div class="bottom-sidebar clearfix">
    <div class="main-wrapper clearfix">
        <div class="bottom-sidebar-wrapper clearfix">
            <?php
            #WIDGET AREA {7}
            if (is_active_sidebar($kopaCurrentSidebars[1])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-7">';
                dynamic_sidebar($kopaCurrentSidebars[1]);
                echo '</section>';
            endif;
            ?> 

            <?php
            #WIDGET AREA {8}
            if (is_active_sidebar($kopaCurrentSidebars[2])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-8">';
                dynamic_sidebar($kopaCurrentSidebars[2]);
                echo '</section>';
            endif;
            ?>  

            <?php
            #WIDGET AREA {8}
            if (is_active_sidebar($kopaCurrentSidebars[3])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-9">';
                dynamic_sidebar($kopaCurrentSidebars[3]);
                echo '</section>';
            endif;
            ?>             

            <?php
            #WIDGET AREA {9}
            if (is_active_sidebar($kopaCurrentSidebars[4])):
                echo '<section class="col-md-3 col-sm-3 col-xs-12 widget-area-10">';
                dynamic_sidebar($kopaCurrentSidebars[4]);
                echo '</section>';
            endif;
            ?>
        </div>
    </div>
</div>
<!--/end BOTTOM-SIDERBAR-->

<?php
get_footer();
