<?php

class KopaSEO {

    /**
     * 
     *
     * @package Kopa
     * @subpackage Core
     * @author thethangtran <tranthethang@gmail.com>
     * @since 1.0.0
     *      
     */
    public static function get_share_buttons() {
        global $post;
        
        $post_url = get_permalink($post->ID);
        $post_title = get_the_title($post->ID);
        $email_subject = get_bloginfo('name') . ': ' . $post_title;
        $email_body = __('I recommend this page: ', kopa_get_domain()) . $post_title . __('. You can read it on: ', kopa_get_domain()) . get_permalink($post->ID);

        $featured_image = KopaOptions::get_option('logo');
        if (has_post_thumbnail($post->ID)) {
            $featured_image = KopaImage::get_post_image_src($post->ID, 'full');
        }
        ?>
        <div class="kopa-social-link">
            <ul class="clearfix">
                <?php
                    $share_facebook = "http://www.facebook.com/share.php?u=" . urlencode($post_url);
                    $share_twitter = "http://twitter.com/home?status=" . $post_title . ':+' . urlencode($post_url);
                    $share_pinterest = "http://pinterest.com/pin/create/button/?url=" . urlencode($post_url) . "&amp;media=" . $featured_image . "&amp;description=" . $post_title;
                    $share_googleplus = "https://plus.google.com/share?url=" . urlencode($post_url);
                ?>
                <li><a href="<?php echo esc_url($share_facebook); ?>" title="Facebook" target="_blank" class="fa fa-facebook" rel="nofollow"></a></li>
                <li><a href="<?php echo esc_url($share_twitter); ?>" title="Twitter" target="_blank" class="fa fa-twitter" rel="nofollow"></a></li>
                <li><a href="<?php echo esc_url($share_googleplus); ?>" title="Google" target="_blank" class="fa fa-google-plus" rel="nofollow"></a></li>
                <li><a href="<?php echo esc_url($share_pinterest); ?>" title="Pinterest" target="_blank" class="fa fa-pinterest" rel="nofollow"></a></li>
                <li><a href="mailto:?subject=<?php echo urlencode($email_subject); ?>&amp;body=<?php echo urlencode($email_body); ?>" title="Email" target="_blank" class="fa fa-envelope" rel="nofollow"></a></li>
            </ul>
        </div>
        <?php
    }

}
