<?php

/**
 * 
 * @package Kopa
 * @subpackage Core
 * @author thethangtran <tranthethang@gmail.com>
 * @since 1.0.0
 *      
 */
function kopa_options_contact() {
    $groups['info'] = array(
        'icon' => '',
        'title' => __('Contact Infomation', kopa_get_domain()),
        'fields' => array()
    );
    $groups['info']['fields'][] = array(
        'type' => 'text',
        'id' => 'contact_info_caption',
        'name' => 'contact_info_caption',
        'label' => __('Caption', kopa_get_domain()),
        'help' => '',
        'classes' => array('linedtextarea'),
        'default' => __('Contact information', kopa_get_domain())
    );
    $groups['info']['fields'][] = array(
        'type' => 'textarea',
        'id' => 'contact_info_description',
        'name' => 'contact_info_description',
        'label' => __('Descripton', kopa_get_domain()),
        'help' => '',
        'classes' => array('linedtextarea'),
        'attributes' => array(
            'rows' => 10
        ),
        'default' => ''
    );
    $groups['info']['fields'][] = array(
        'type' => 'text',
        'id' => 'contact_phone',
        'name' => 'contact_phone',
        'label' => __('Phone number', kopa_get_domain()),
        'default' => ''
    );
    $groups['info']['fields'][] = array(
        'type' => 'text',
        'id' => 'contact_working_time',
        'name' => 'contact_working_time',
        'label' => __('Working time', kopa_get_domain()),
        'default' => ''
    );
    $groups['info']['fields'][] = array(
        'type' => 'text',
        'id' => 'contact_email',
        'name' => 'contact_email',
        'label' => __('Email(s)', kopa_get_domain()),
        'default' => ''
    );
    $groups['info']['fields'][] = array(
        'type' => 'text',
        'id' => 'contact_address',
        'name' => 'contact_address',
        'label' => __('Address', kopa_get_domain()),
        'default' => ''
    );
    $groups['info']['fields'][] = array(
        'type' => 'text',
        'id' => 'contact_map',
        'name' => 'contact_map',
        'label' => __('Google Map', kopa_get_domain()),
        'help' => sprintf('Enter your google map code <code>latitude,longitude</code>. Example: <code>40.722868,-73.99739</code>. %s <a target="_blank" href="https://db.tt/p77FqjZC">%s</a>.', __('How to get it? Click', kopa_get_domain()), __('here', kopa_get_domain())),
        'default' => '40.722868,-73.99739'
    );
    $groups['info']['fields'][] = array(
        'type' => 'media',
        'id' => 'contact_map_marker',
        'name' => 'contact_map_marker',
        'label' => __('Gmap Marker', kopa_get_domain()),
        'help' => __(sprintf('You can download, and edit marker image from PSD file. Download <a href="%s" target="_blank">here</a>', 'https://db.tt/qssyQ4pY'), kopa_get_domain()),
        'default' => get_template_directory_uri() . '/images/marker.png'
    );
    /*
     * --------------------------------------------------
     * CONTACT FORM
     * --------------------------------------------------
     */
    $groups['form'] = array(
        'icon' => '',
        'title' => __('Contact Form', kopa_get_domain()),
        'fields' => array()
    );
    $groups['form']['fields'][] = array(
        'type' => 'text',
        'id' => 'contact_form_caption',
        'name' => 'contact_form_caption',
        'label' => __('Caption', kopa_get_domain()),
        'help' => '',
        'classes' => array('linedtextarea'),
        'default' => __('Contact form', kopa_get_domain())
    );
    $groups['form']['fields'][] = array(
        'type' => 'textarea',
        'id' => 'contact_form_description',
        'name' => 'contact_form_description',
        'label' => __('Descripton', kopa_get_domain()),
        'help' => '',
        'classes' => array('linedtextarea'),
        'attributes' => array(
            'rows' => 10
        ),
        'default' => ''
    );

    $groups['form']['fields'][] = array(
        'type' => 'textarea',
        'id' => 'contact_reply_template',
        'name' => 'contact_reply_template',
        'label' => __('Mail Reply Template', kopa_get_domain()),
        'help' => 'Variable: <code>[contact_name]</code>, <code>[contact_email]</code>, <code>[contact_url]</code>, <code>[contact_message]</code>',
        'classes' => array('linedtextarea'),
        'attributes' => array(
            'rows' => 10
        ),
        'default' => '<p>Aloha!</p>
            
<p>You have a new message from  [contact_name] ([contact_email])</p>
<p>Website: [contact_url]</p>
<div>[contact_message]</div>

<p>Thanks!</p>'
    );
    return apply_filters('kopa_options_contact', $groups);
}
