<?php
add_shortcode('megamenu', 'kopa_shortcode_megamenu');

/**
 * 
 *
 * @package Kopa
 * @subpackage Core
 * @author thethangtran <tranthethang@gmail.com>
 * @since 1.0.0
 *      
 */
function kopa_shortcode_megamenu($atts, $content = null) {
    extract(shortcode_atts(array('id' => 0), $atts));
    $output = '';

    if (isset($atts['id']) && (int) $atts['id'] > 0) {
        $post_id = $atts['id'];

        $mega_menu_push_left = (int) get_post_meta($post_id, KOPA_OPT_PREFIX . MEGAMENU . 'push_left', true);
        $mega_menu_width = (int) get_post_meta($post_id, KOPA_OPT_PREFIX . MEGAMENU . 'width', true);

        $blocks = array();

        for ($index = 1; $index <= 4; $index++) {
            $sidebar = get_post_meta($post_id, KOPA_OPT_PREFIX . MEGAMENU . $index . '_' . 'sidebar', true);
            $width = get_post_meta($post_id, KOPA_OPT_PREFIX . MEGAMENU . $index . '_' . 'width', true);
            if ('sidebar_hide' != $sidebar && is_active_sidebar($sidebar)) {
                $blocks[$index]['sidebar'] = $sidebar;
                $blocks[$index]['width'] = $width;
            }
        }

        if (count($blocks) > 0):
            ob_start();
            $wrap_classes = array('sf-mega');
            $wrap_classes[] = "col-md-push-{$mega_menu_push_left}";
            $wrap_classes[] = "col-sm-push-{$mega_menu_push_left}";
            $wrap_classes[] = "col-xs-push-{$mega_menu_push_left}";

            $wrap_classes[] = "col-md-{$mega_menu_width}";
            $wrap_classes[] = "col-sm-{$mega_menu_width}";
            $wrap_classes[] = "col-xs-{$mega_menu_width}";
            ?>
            <div class="<?php echo implode(' ', $wrap_classes); ?>">                
                <?php
                foreach ($blocks as $block):
                    ?>
                    <div class="sf-mega-section col-md-<?php echo $block['width']; ?> col-xs-<?php echo $block['width']; ?> col-sm-<?php echo $block['width']; ?>">
                        <?php
                        dynamic_sidebar($block['sidebar']);
                        ?>
                    </div>
                    <?php
                endforeach;
                ?>
            </div>
            <?php
            $output .= ob_get_contents();
            ob_end_clean();
        endif;
    }

    return apply_filters('kopa_shortcode_megamenu', $output);
}
