<?php

class KopaAdvertisement extends KopaWidget {

    public function __construct($id_base = '', $name = '', $widget_options = array(), $control_options = array()) {
        $id_base = 'kopa-ads-widget';
        $name = __('Kopa Advertisement', kopa_get_domain());
        $widget_options = array('classname' => 'kopa-ads-widget', 'description' => __('Display banner image', kopa_get_domain()));
        $control_options = array('width' => 'auto', 'height' => 'auto');
        parent::__construct($id_base, $name, $widget_options, $control_options);


        $col = array(
            'size' => 12,
            'fields' => array()
        );

        $col['fields']['title'] = array(
            'type' => 'text',
            'id' => 'title',
            'name' => 'title',
            'default' => '',
            'classes' => array(),
            'label' => __('Title', kopa_get_domain()),
            'help' => NULL
        );

        $col['fields']['image'] = array(
            'type' => 'media',
            'id' => 'image',
            'name' => 'image',
            'default' => '',
            'classes' => array(),
            'label' => __('Upload Image', kopa_get_domain()),
            'help' => NULL
        );

        $col['fields']['size'] = array(
            'type' => 'select',
            'id' => 'size',
            'name' => 'size',
            'default' => '000x000',
            'classes' => array(),
            'label' => NULl,
            'help' => NULL,
            'options' => array(
                '000x000' => __('Select size of image', kopa_get_domain()),
                '300x250' => __('300 x 250', kopa_get_domain()),
                '468x60' => __('468 x 60', kopa_get_domain()),
            )
        );

        $col['fields']['href'] = array(
            'type' => 'url',
            'id' => 'href',
            'name' => 'href',
            'default' => '',
            'classes' => array(),
            'label' => __('Link to', kopa_get_domain()),
            'help' => NULL
        );

        $col['fields']['target'] = array(
            'type' => 'checkbox',
            'id' => 'target',
            'name' => 'target',
            'default' => 'false',
            'classes' => array(),
            'label' => __('Open link in new tab', kopa_get_domain()),
            'help' => NULL,
            'is_append_label_before_control' => false
        );
              
        $this->groups['col'] = $col;
    }

    public function widget($args, $instance) {
        extract($args);
        $title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);

        $image = $instance['image'];
        $href = $instance['href'];
        $size = $instance['size'];
        $target = ('true' == $instance['target']) ? '_blank' : '';
        echo $before_widget;
        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        if ($image) {
            printf('<a href="%s" target="%s"><img class="kopa-adv-%s kopa-adv-block img-responsive" src="%s" alt="advertising"></a>', $href, $target, $size, do_shortcode($image) );
        }

        echo $after_widget;
    }

}