<?php

class KopaPosts_List_SquareThumbnail extends KopaWidgetPosts {

    public function __construct($id_base = '', $name = '', $widget_options = array(), $control_options = array()) {
        $id_base = 'kopa-posts-list-square-thumbnail';
        $name = __('Kopa Posts List Square Thumbnail', kopa_get_domain());
        $widget_options = array('classname' => 'kopa-posts-list-square-thumbnail', 'description' => __('Display posts list with square thumbnail (align left)', kopa_get_domain()));
        $control_options = array('width' => '500', 'height' => 'auto');
        parent::__construct($id_base, $name, $widget_options, $control_options);

        unset($this->groups['col-1']['fields']['is_hide_title']);
        unset($this->groups['col-1']['fields']['is_hide_views']);
        unset($this->groups['col-1']['fields']['excerpt_character_limit']);
        unset($this->groups['col-1']['fields']['is_hide_excerpt']);
        unset($this->groups['col-1']['fields']['is_hide_created_date']);
        unset($this->groups['col-1']['fields']['is_hide_comments']);
        unset($this->groups['col-1']['fields']['is_hide_readmore']);
    }

    public function widget($args, $instance) {
        extract($args);

        $title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);

        echo $before_widget;
        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }

        $query = $this->build_query($instance);

        $posts = new WP_Query($query);

        if ($posts->have_posts()):
            ?>
            <ul class="sub-menu-list-article">
                <?php
                while ($posts->have_posts()):
                    $posts->the_post();
                    $post_id = get_the_ID();
                    $post_title = get_the_title();
                    $post_url = get_permalink();
                    $post_classes = array('clearfix');
                    ?>
                    <li <?php post_class($post_classes); ?>>
                        <article class="entry-item clearfix">
                            <?php if (has_post_thumbnail()): ?>
                                <?php $image = KopaImage::get_post_image_src($post_id, 'size_06'); ?>
                                <div class="entry-thumb">
                                    <a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $post_title; ?>"></a>
                                </div>
                            <?php endif; ?>

                            <div class="entry-content">
                                <?php if ( ! empty($post_title) ) : ?>
                                    <h2 class="entry-title"><a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><?php echo $post_title; ?></a></h2>
                                <?php endif; ?>
                                <p class="entry-date"><?php _e('Posted:', kopa_get_domain()); ?><span><?php echo get_the_date(); ?></span></p>    
                            </div>
                        </article>
                    </li>                   
                    <?php
                endwhile;
                ?>                
            </ul>
            <?php
        endif;

        wp_reset_postdata();

        echo $after_widget;
    }

}
