<?php

class KopaPosts_TabsByGroup_SmallThumb extends KopaWidgetPosts {

    public function __construct($id_base = '', $name = '', $widget_options = array(), $control_options = array()) {
        $id_base = 'kopa-tab2-widget';
        $name = __('Kopa Posts Tabs By Group Small Thumbnail', kopa_get_domain());
        $widget_options = array('classname' => 'kopa-tab2-widget', 'description' => __('SMALL THUMB - Display posts list, filter by group: category, tag, format (with small thumbnail - float right)', kopa_get_domain()));
        $control_options = array('width' => '500', 'height' => 'auto');
        parent::__construct($id_base, $name, $widget_options, $control_options);

        $col_1 = array(
            'size' => 4,
            'fields' => array()
        );
        $col_1['fields']['title'] = array(
            'type' => 'text',
            'id' => 'title',
            'name' => 'title',
            'default' => '',
            'classes' => array(),
            'label' => __('Title', kopa_get_domain()),
            'help' => NULL
        );

        $col_1['fields']['posts_per_page'] = array(
            'type' => 'number',
            'id' => 'posts_per_page',
            'name' => 'posts_per_page',
            'default' => 4,
            'classes' => array(),
            'label' => __('Number of posts', kopa_get_domain()),
            'help' => NULL
        );

        $col_1['fields']['is_hide_created_date'] = array(
            'type' => 'checkbox',
            'id' => 'is_hide_created_date',
            'name' => 'is_hide_created_date',
            'default' => 'false',
            'classes' => array(),
            'label' => __('Is hide created date', kopa_get_domain()),
            'help' => NULL,
            'is_append_label_before_control' => false
        );

        $col_1['fields']['is_hide_comments'] = array(
            'type' => 'checkbox',
            'id' => 'is_hide_comments',
            'name' => 'is_hide_comments',
            'default' => 'false',
            'classes' => array(),
            'label' => __('Is hide comments', kopa_get_domain()),
            'help' => NULL,
            'is_append_label_before_control' => false
        );

        $col_2 = array(
            'size' => 8,
            'fields' => array()
        );

        $col_2['fields']['group_by'] = array(
            'type' => 'select',
            'id' => 'group_by',
            'name' => 'group_by',
            'default' => 'category',
            'classes' => array(),
            'label' => __('Group by', kopa_get_domain()),
            'help' => NULL,
            'options' => array(
                'category' => __('Category', kopa_get_domain()),
                'post_tag' => __('Tag', kopa_get_domain()),
                'post_format' => __('Format', kopa_get_domain()),
            )
        );

        $col_2['fields']['orderby'] = array(
            'type' => 'select',
            'id' => 'orderby',
            'name' => 'orderby',
            'default' => 'date',
            'classes' => array(),
            'label' => __('Order by', kopa_get_domain()),
            'help' => NULL,
            'options' => array(
                'date' => __('Latest news', kopa_get_domain()),
                'popular' => __('Popular by view count', kopa_get_domain()),
                'comment_count' => __('Most comments', kopa_get_domain()),
                'rand' => __('Random', kopa_get_domain())
            )
        );

        $col_2['fields']['timestamp'] = array(
            'type' => 'select',
            'id' => 'timestamp',
            'name' => 'timestamp',
            'default' => '',
            'classes' => array(),
            'label' => __('Timestamp (ago)', kopa_get_domain()),
            'help' => NULL,
            'options' => array(
                '' => __('-- Select --', kopa_get_domain()),
                '-1 week' => __('1 week', kopa_get_domain()),
                '-2 week' => __('2 weeks', kopa_get_domain()),
                '-3 week' => __('3 weeks', kopa_get_domain()),
                '-1 month' => __('1 months', kopa_get_domain()),
                '-2 month' => __('2 months', kopa_get_domain()),
                '-3 month' => __('3 months', kopa_get_domain()),
                '-4 month' => __('4 months', kopa_get_domain()),
                '-5 month' => __('5 months', kopa_get_domain()),
                '-6 month' => __('6 months', kopa_get_domain()),
                '-7 month' => __('7 months', kopa_get_domain()),
                '-8 month' => __('8 months', kopa_get_domain()),
                '-9 month' => __('9 months', kopa_get_domain()),
                '-10 month' => __('10 months', kopa_get_domain()),
                '-11 month' => __('11 months', kopa_get_domain()),
                '-1 year' => __('1 year', kopa_get_domain()),
                '-2 year' => __('2 years', kopa_get_domain()),
                '-3 year' => __('3 years', kopa_get_domain()),
                '-4 year' => __('4 years', kopa_get_domain()),
                '-5 year' => __('5 years', kopa_get_domain()),
                '-6 year' => __('6 years', kopa_get_domain()),
                '-7 year' => __('7 years', kopa_get_domain()),
                '-8 year' => __('8 years', kopa_get_domain()),
                '-9 year' => __('9 years', kopa_get_domain()),
                '-10 year' => __('10 years', kopa_get_domain()),
            )
        );

        $this->groups['col-1'] = $col_1;
        $this->groups['col-2'] = $col_2;
    }

    public function update($new_instance, $old_instance) {
        $this->update_fields($new_instance);
        return parent::update($new_instance, $old_instance);
    }

    public function form($instance) {
        $this->update_fields($instance);
        parent::form($instance);
    }

    public function widget($args, $instance) {
        extract($args);

        $title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);

        $tab_prefix = wp_generate_password(4, false, false);

        $metadata = array();
        $metadata['is_hide_created_date'] = filter_var($instance['is_hide_created_date'], FILTER_VALIDATE_BOOLEAN);
        $metadata['is_hide_comments'] = filter_var($instance['is_hide_comments'], FILTER_VALIDATE_BOOLEAN);

        echo $before_widget;
        if (!empty($title)) {
            echo $before_title . $title . $after_title;
        }
        
        $group_by = isset($instance['group_by']) ? $instance['group_by'] : 'category';

        $group_ids = $instance[$group_by];
        // reset all group
        $instance['post_format'] = NULL;
        $instance['post_tag'] = NULL;
        $instance['category'] = NULL;
        // declare active group
        $instance[$group_by] = $group_ids;

        if (isset($instance[$group_by]) && !empty($instance[$group_by])):
            $prefix = wp_generate_password(4, FALSE, FALSE) .'-';
            ?>
            <ul class="nav nav-tabs">
                <?php
                $active = 'active';
                foreach ($instance[$group_by] as $id) {
                    $term = get_term($id, $group_by);
                    ?>
                    <li class="<?php echo $active; ?>"><a href="<?php echo "#{$prefix}tab-{$tab_prefix}-{$group_by}-{$id}" ?>" data-toggle="tab"><?php echo $term->name; ?></a></li>
                    <?php
                    $active = '';
                }
                ?>
            </ul>

            <div class="tab-content">
                <?php
                $active = 'active';

                foreach ($instance[$group_by] as $id) {
                    ?>
                    <div class="tab-pane <?php echo $active; ?>" id="<?php echo "{$prefix}tab-{$tab_prefix}-{$group_by}-{$id}" ?>">
                        <?php
                        $instance[$group_by] = array($id);
                        $query = $this->build_query($instance);

                        $posts = new WP_Query($query);

                        if ($posts->have_posts()):
                            ?>
                            <ul class="clearfix">
                                <?php
                                while ($posts->have_posts()):
                                    $posts->the_post();
                                    $post_id = get_the_ID();
                                    $post_title = get_the_title();
                                    $post_url = get_permalink();

                                    $image = KopaImage::get_post_image_src($post_id, 'size_02');
                                    ?>

                                    <li>
                                        <article class="entry-item clearfix">
                                            <?php if (has_post_thumbnail()): ?>
                                                <?php $image = KopaImage::get_post_image_src($post_id, 'size_06'); ?>
                                                <div class="entry-thumb">
                                                    <a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $post_title; ?>"></a>                                                
                                                </div> 
                                            <?php endif; ?>

                                            <div class="entry-content">
                                                <?php if ( ! empty($post_title) ) : ?>
                                                    <h2 class="entry-title"><a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><?php echo $post_title; ?></a></h2>
                                                <?php endif; ?>

                                                <?php if (!$metadata['is_hide_created_date'] || !$metadata['is_hide_comments']): ?>
                                                    <p class="entry-date">
                                                        <?php if (!$metadata['is_hide_created_date']): ?>
                                                            <?php echo $metadata['is_hide_comments'] ? __('Posted:', kopa_get_domain()) . '&nbsp;' : ''; ?>
                                                            <span><?php echo get_the_date(); ?></span>
                                                        <?php endif; ?>

                                                        <?php if (!$metadata['is_hide_comments']): ?>
                                                            <?php echo $metadata['is_hide_created_date'] ? '' : '&nbsp;-&nbsp;'; ?>                                            
                                                            <?php comments_popup_link(__('No Comment', kopa_get_domain()), __('1 Comment', kopa_get_domain()), __('% Comments', kopa_get_domain()), '', __('0 Comment', kopa_get_domain())); ?>
                                                        <?php endif; ?>
                                                    </p>
                                                <?php endif; ?>
                                            </div>

                                        </article>
                                    </li>
                                    <?php
                                endwhile;
                                ?>                
                            </ul>
                            <?php
                        endif;

                        wp_reset_postdata();
                        ?>
                    </div>
                    <?php
                    $active = '';
                }
                ?>
            </div>

            <?php
        endif;

        echo $after_widget;
    }

    public function update_fields($instance) {
        $group_by = isset($instance['group_by']) ? $instance['group_by'] : '';

        switch ($group_by) {
            case 'post_tag':
                $this->groups['col-2']['fields']['post_tag'] = array(
                    'type' => 'taxonomy',
                    'id' => 'post_tag',
                    'name' => 'post_tag',
                    'default' => '',
                    'classes' => array(),
                    'label' => __('Tags', kopa_get_domain()),
                    'help' => NULL,
                    'taxonomy' => 'post_tag',
                    'attributes' => array(
                        'multiple' => 'multiple'
                    )
                );
                break;
            case 'post_format':
                $this->groups['col-2']['fields']['post_format'] = array(
                    'type' => 'taxonomy',
                    'id' => 'post_format',
                    'name' => 'post_format',
                    'default' => '',
                    'classes' => array(),
                    'label' => __('Post Format', kopa_get_domain()),
                    'help' => NULL,
                    'taxonomy' => 'post_format',
                    'attributes' => array(
                        'multiple' => 'multiple'
                    )
                );
                break;
            case 'category':
                $this->groups['col-2']['fields']['category'] = array(
                    'type' => 'taxonomy',
                    'id' => 'category',
                    'name' => 'category',
                    'default' => '',
                    'classes' => array(),
                    'label' => __('Categories', kopa_get_domain()),
                    'help' => NULL,
                    'taxonomy' => 'category',
                    'attributes' => array(
                        'multiple' => 'multiple'
                    )
                );
                break;
        }
    }

}
