<?php

class KopaPosts_VideoPlaylist extends KopaWidgetPosts {

    public function __construct($id_base = '', $name = '', $widget_options = array(), $control_options = array()) {
        $id_base = 'kopa-video-playlist';
        $name = __('Kopa Video Playlist', kopa_get_domain());
        $widget_options = array('classname' => 'kopa-video-playlist kopa-slider-flex', 'description' => __('Display video post format with flexslider', kopa_get_domain()));
        $control_options = array('width' => '500', 'height' => 'auto');
        parent::__construct($id_base, $name, $widget_options, $control_options);

        unset($this->groups['col-1']['fields']['title']);
        unset($this->groups['col-1']['fields']['excerpt_character_limit']);
        unset($this->groups['col-1']['fields']['is_hide_title']);
        unset($this->groups['col-1']['fields']['is_hide_excerpt']);
        unset($this->groups['col-1']['fields']['is_hide_readmore']);
        unset($this->groups['col-1']['fields']['is_hide_views']);
        unset($this->groups['col-2']['fields']['relation']);
        unset($this->groups['col-2']['fields']['post_format']);
    }

    public function widget($args, $instance) {
        extract($args);

        echo $before_widget;

        $post_formats = get_terms('post_format');
        foreach ($post_formats as $format) {
            if ('post-format-video' == $format->slug) {
                $instance['post_format'] = $format->term_id;
                break;
            }
        }
        $instance['relation'] = 'true';
        $query = $this->build_query($instance);

        $posts = new WP_Query($query);
        if ($posts->have_posts()):
            global $post;
            ?>

            <div class="flexslider kopa-video-slider">
                <ul class="slides">
                    <?php
                    $metadata = array();
                    $metadata['is_hide_created_date'] = filter_var($instance['is_hide_created_date'], FILTER_VALIDATE_BOOLEAN);
                    $metadata['is_hide_comments'] = filter_var($instance['is_hide_comments'], FILTER_VALIDATE_BOOLEAN);

                    $loop_index = 0;
                    $sizes = KopaInit::get_image_sizes();

                    while ($posts->have_posts()):
                        $posts->the_post();
                        $post_id = get_the_ID();
                        $post_title = get_the_title();
                        $post_url = get_permalink();

                        $image = KopaImage::get_post_image_src($post_id, 'size_16');
                        if (empty($image)) {
                            $image = "http://placehold.it/{$sizes['size_16']['width']}x{$sizes['size_16']['height']}";
                        }
                        ?>
                        <li <?php post_class(); ?>> 

                            <header>
                                <?php if ( ! empty($post_title) ) : ?>
                                    <h4 class="entry-title"><a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><?php echo $post_title; ?></a></h4>
                                <?php endif; ?>

                                <?php if (!$metadata['is_hide_created_date'] || !$metadata['is_hide_comments']): ?>
                                    <p class="entry-date">
                                        <?php if (!$metadata['is_hide_created_date']): ?>
                                            <?php echo $metadata['is_hide_comments'] ? __('Posted:', kopa_get_domain()) . '&nbsp;' : ''; ?>
                                            <?php echo get_the_date(); ?>
                                        <?php endif; ?>

                                        <?php if (!$metadata['is_hide_comments']): ?>
                                            <?php echo $metadata['is_hide_created_date'] ? '' : '&nbsp;-&nbsp;'; ?>                                            
                                            <?php comments_popup_link(__('No Comment', kopa_get_domain()), __('1 Comment', kopa_get_domain()), __('% Comments', kopa_get_domain()), '', __('0 Comment', kopa_get_domain())); ?>
                                        <?php endif; ?>
                                    </p>
                                <?php endif; ?>
                            </header>

                            <div class="kopa-video-content">
                                <a class="fa fa-play" href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"></a>

                                <?php
                                $shortcode = KopaUtil::get_shortcode($post->post_content, false, array('vimeo', 'youtube', 'video'));
                                if ($shortcode) {
                                    echo '<div class="video-wrapper">';
                                    echo do_shortcode($shortcode[0]['shortcode']);
                                    echo '</div>';
                                } else {
                                    ?>
                                    <img src="<?php echo $image; ?>" alt="<?php echo $post_title; ?>" />
                                    <?php
                                }
                                ?>

                            </div>

                        </li>
                        <?php
                    endwhile;
                    ?>
                </ul>
            </div>
            <?php
        endif;
        wp_reset_postdata();
        ?>
        <div class="flexslider kopa-video-carousel">
            <ul class="slides">                    
                <?php
                $posts = new WP_Query($query);
                if ($posts->have_posts()):
                    while ($posts->have_posts()):
                        $posts->the_post();
                        $post_id = get_the_ID();
                        $post_title = get_the_title();
                        $post_url = get_permalink();

                        $image = KopaImage::get_post_image_src($post_id, 'size_16');
                        if (empty($image)) {
                            $image = "http://placehold.it/{$sizes['size_16']['width']}x{$sizes['size_16']['height']}";
                        }
                        ?>
                        <li>
                            <div class="entry-thumb">
                                <div class="current-video-icon">
                                    <span class="fa fa-play"></span><?php _e('Now playing', kopa_get_domain()); ?>
                                </div>
                                <img src="<?php echo $image; ?>" alt="<?php echo $post_title; ?>" />
                            </div>                            

                            <h4 class="entry-title"><a href="<?php echo $post_url; ?>" title="<?php echo $post_title; ?>"><?php echo $post_title; ?></a></h4>

                        </li>
                        <?php
                    endwhile;
                endif;
                ?>
            </ul>
        </div>
        <div class="loading"></div>
        <?php
        wp_reset_postdata();

        echo $after_widget;
    }

}
